%global compression_tests 0
%global desc \
TRAJNG (Trajectory next generation) is a program library for handling\
molecular dynamics (MD) trajectories. It can store coordinates, and\
optionally velocities and the H-matrix. Coordinates and velocities are\
stored with user-specified precision. In addition, program specific\
information (text strings) can optionally be stored in the beginning\
of each file. Atomic labels can also optionally be stored once in the\
beginning of the file.

Name:                tng
Version:             1.8.2
Release:             1
Summary:             Trajectory Next Generation binary format manipulation library
License:             BSD and zlib
URL:                 https://github.com/gromacs/tng
Source0:             https://github.com/gromacs/tng/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:       cmake >= 3.1
%global cmake3 %{cmake}
BuildRequires:       doxygen gcc gcc-gfortran zlib-devel
Provides:            bundled(md5-deutsch)

%description
%{desc}

%package devel
Summary:             Trajectory Next Generation binary format manipulation library development files
Requires:            %{name}%{?_isa} = %{version}-%{release}
%description devel
%{desc}
This package contains the development files.

%package doc
Summary:             Trajectory Next Generation binary format manipulation library documentation
BuildArch:           noarch
%description doc
%{desc}
This package contains the documentation.

%prep
%setup -q

%build
mkdir build && cd build
%{cmake3} \
    -DTNG_BUILD_DOCUMENTATION=ON \
    -DTNG_BUILD_FORTRAN=ON \
%if 0%{?compression_tests} > 0
    -DTNG_BUILD_COMPRESSION_TESTS=ON \
%endif
    -DTNG_BUILD_WITH_ZLIB=ON \
    ..
make %{?_smp_mflags}

%install
cd build
%make_install
rm -r %{buildroot}%{_datadir}/tng/doc/latex
mkdir -p %{buildroot}%{_defaultdocdir}
mv %{buildroot}{%{_datadir}/tng/doc/html,%{_defaultdocdir}/tng}

%check
pushd build/bin/tests
./tng_testing
popd
%if 0%{?compression_tests}
pushd build/bin/compression_tests
./test_tng_compress_write.sh
./test_tng_compress_read.sh
popd
%endif
%ldconfig_scriptlets

%files
%license COPYING
%doc AUTHORS Trajectoryformatspecification.mk
%{_libdir}/libtng_io.so.*

%files devel
%{_includedir}/tng
%{_libdir}/cmake/tng_io
%{_libdir}/libtng_io.so

%files doc
%{_docdir}/%{name}

%changelog
* Mon Jul 27 2020 maminjie <maminjie1@huawei.com> - 1.8.2-1
- package init
